### Method

# Adw Sidebar get_sections

since: 1.9

#### Declaration [src]

    GListModel*
    adw_sidebar_get_sections (
      AdwSidebar* self
    )

#### Description [src]

Gets a list model with `self`‘s sections.

This can be used to keep an up-to-date view.

To track items, use `AdwSidebar:items` instead.

Available since: 1.9

Gets property | `Adw.Sidebar:sections`

#### Return value

Type: A list model of `GObject`

A model containing the sections.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.